Bug 1800382 - Support 2-site Stretch Clusters in RADOS
Summary: Support 2-site Stretch Clusters in RADOS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2
Assignee: Greg Farnum
QA Contact: Manohar Murthy
URL:
Whiteboard:
: 1874628 (view as bug list)
Depends On:
Blocks: 1874628
TreeView+ depends on / blocked
 
Reported: 2020-02-07 01:03 UTC by Greg Farnum
Modified: 2021-01-12 14:56 UTC (History)
13 users (show)

Fixed In Version: ceph-14.2.11-76.el8cp, ceph-14.2.11-76.el7cp
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1874628 (view as bug list)
Environment:
Last Closed: 2021-01-12 14:55:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 44107 0 None None None 2020-02-12 23:59:45 UTC
Ceph Project Bug Tracker 44108 0 None None None 2020-02-12 23:59:45 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:56:15 UTC

Description Greg Farnum 2020-02-07 01:03:47 UTC
We want to support multiple-site stretch clusters in RADOS. In particular, targeting configurations of 2 main sites and a tiebreaker monitor. This means:
* improving the monitors so they can handle netsplits and still make forward progress (without going into infinite election loops)
* being able to identify when one site has disappeared, and keeping the data available out of the surviving site.

We will do this by implementing a monitor heartbeating and a new election algorithm that recognizes netsplits and handles them, and by implementing a "stretch mode" that recognizes multi-site mode when doing OSD peering and requires set members from both sites (until the monitors declare a site dead, and we go into single-site mode).

Comment 1 RHEL Program Management 2020-02-07 01:03:52 UTC
Please specify the severity of this bug. Severity is defined here:
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity.

Comment 7 Neha Ojha 2020-09-22 00:47:35 UTC
*** Bug 1874628 has been marked as a duplicate of this bug. ***

Comment 15 Veera Raghava Reddy 2020-11-16 12:39:58 UTC
Stretch cluster testing is carried out in detail by QE.

Comment 17 Veera Raghava Reddy 2020-11-30 06:49:41 UTC
Ranjini, Greg,
Currently we are providing stretch cluster feature fro OCS and not opening it for standalone RHCS customers. So I think this BZ should not be added to Errata?

Comment 23 errata-xmlrpc 2021-01-12 14:55:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.